cta:
  label: CTA
  fields:
    icon:
      type: image
      label: Icon
      description: Icon
      preview:
        theme: image
        uri: https://picsum.photos/id/1060/300/300
        width: 36
        attributes: {}
    title: 
      type: text
      label: Title
      preview: Suggest entry
    text:
      type: text
      label: Text
      preview: Suggest you entry so that you organisation becomes visible on our website.
  settings:
    url:
      type: url
      label: url
      preview: /test
      allow_token: true
      allow_expose: true
    bg_color:
      type: textfield
      label: Background Color
      preview: var(--color--primary)
      allow_token: true
      allow_expose: true
    text_color:
      type: textfield
      label: Text Color
      preview: white
      allow_token: true
      allow_expose: true
  libraries:
    - cta:
       css:
         component:
          cta.css: {}
